> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/access/get.md).

# get

{% hint style="warning" %}
**Beta notice**\
\
We are currently gathering feedback on the Access API endpoints, and while in beta the structure of the API and its response may change. Please submit any feedback (including if this API currently works for your needs!) to your primary Redivis contact, or <support@redivis.com>.&#x20;
{% endhint %}

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/access/:userName
```

## Path parameters

| Parameter        | Description                                                                                                            |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------- |
| userName         | The userName of the particular user that you want to observe access for                                                |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter  | Description                                                                                   |
| ---------- | --------------------------------------------------------------------------------------------- |
| maxResults | Default 100. Must be less than 1000.                                                          |
| pageToken  | For paginating through results, provide the value returned from the previous access.list call |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must be an administrator of the organization that hosts the dataset, or, if the dataset is owned by a user, you must be the owner or an editor on the dataset.

Your access token must have one of the following scopes:

* organization.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an [access resource](/api/resource-definitions/access.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/access/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
